<!-- BEGIN -->
<!-- Jquery and Google Chart Library -->
<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<!-- END  -->

<!--js and css-->
<link rel="stylesheet" href="style.css" >




<!-- LIBRERIE -->
<!-- Bootstrap -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<!-- JQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<!-- You must include this JavaScript file -->
<script src="https://assets.crowd.aws/crowd-html-elements.js"></script>



<!-- You must include crowd-form so that your task submits answers to MTurk -->
<!-- Corpo HTML -->
<crowd-form answer-format="flatten-objects">
    <!--HIDDEN - servono solo per il pre-load delle img-->
    <input id="img1" name = "img1" class="hiddenMe" value="${img1}"/>
    <input id="img2" name = "img2" class="hiddenMe" value="${img2}"/>
    <input id="img3" name = "img3" class="hiddenMe" value="${img3}"/>
    <input id="img4" name = "img4" class="hiddenMe" value="${img4}"/>
    <input id="img5" name = "img5" class="hiddenMe" value="${img5}"/>
    <input id="gold1" name = "gold1" class="hiddenMe" value="${gold1}"/>
    <input id="gold2" name = "gold2" class="hiddenMe" value="${gold2}"/>


    <div id="myPage" class="container">
        <!--INIZIO QUESTIONARIO -->
        <div id = "quest">
            <div style="text-align:left;padding-top:2em;">
                    <h5>We will now ask you some personal questions that will help us to improve the quality of our results.</h5>
                </div>
                <br />
            <!--Sesso-->
            <div class="card">
                <div class="card-body">
                    <p class="card-title"><b>What is your gender?</b></p>
                    <div class="card-text form-group">
                        <div class="form-check">
                            <input id="gender1" class="form-check-input elemento" type="radio" name="gender" value="1"> 
                            <label class="form-check-label label" for="gender1">Male</label><br />
                        </div>
                        <div class="form-check">
                            <input id="gender2" class="form-check-input elemento" type="radio" name="gender" value="2">
                            <label class="form-check-label label" for="gender2">Female</label><br />
                        </div>
                        <div class="form-check">
                            <input id="gender3" class="form-check-input elemento" type="radio" name="gender" value="3">
                            <label class="form-check-label label" for="gender3">Other/No answer</label><br />
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <!-- Anni -->
            <div class="card">
                <div class="card-body">
                    <p class="card-title"><b>What is your age range?</b></p>
                    <div class="card-text form-group">
                        <div class="form-check">
                            <input id="age1" class="form-check-input elemento" type="radio" name="age" value="1"/>
                            <label class="form-check-label label" for="age1">0-18 </label><br />
                        </div>
                        <div class="form-check">
                            <input id="age2" class="form-check-input elemento" type="radio" name="age" value="2"/>
                            <label class="form-check-label label" for="age2">19-25</label><br />
                        </div>
                        <div class="form-check">
                            <input id="age3" class="form-check-input elemento" type="radio" name="age" value="3"/> 
                            <label class="form-check-label label" for="age3">26-35</label><br />
                        </div>
                        <div class="form-check">
                            <input id="age4" class="form-check-input elemento" type="radio" name="age" value="4"/>
                            <label class="form-check-label label" for="age4">36-50</label><br />
                        </div>
                        <div class="form-check">
                            <input id="age5" class="form-check-input elemento" type="radio" name="age" value="5"/>
                            <label class="form-check-label label" for="age5">50-80</label><br />
                        </div>
                        <div class="form-check">
                            <input id="age6" class="form-check-input elemento" type="radio" name="age" value="6"/>
                            <label class="form-check-label label" for="age6">>80</label><br />
                        </div>
                    </div>
                </div>
            </div>
            <!-- School -->
            <div class="card">
                <div class="card-body">
                    <p class="card-title"><b>What is the highest level of school you have completed or the highest degree you have received?</b></p>
                    <div class="card-text form-group">
                        <div class="form-check ">
                            <input id="school1" class="form-check-input elemento" type="radio" name="school" value="1"/> 
                            <label class="form-check-label label" for="school1">High school incomplete or less</label><br />
                        </div>
                        <div class="form-check">
                            <input id="school2" class="form-check-input elemento" type="radio" name="school" value="2"/> 
                            <label class="form-check-label label" for="school2">High school graduate or GED (includes technical/vocational training that doesn’t count towards college credit)</label><br />
                        </div>
                        <div class="form-check">
                            <input id="school3" class="form-check-input elemento" type="radio" name="school" value="3"/> 
                            <label class="form-check-label label" for="school3">Some college (some community college, associate’s degree)</label><br />
                        </div>
                        <div class="form-check">
                            <input id="school4" class="form-check-input elemento" type="radio" name="school" value="4"/> 
                            <label class="form-check-label label" for="school4">Four year college degree/bachelor’s degree</label><br />
                        </div>
                        <div class="form-check">
                            <input id="school5" class="form-check-input elemento" type="radio" name="school" value="5"/> 
                            <label class="form-check-label label" for="school5">Some postgraduate or professional schooling, no postgraduate degree</label><br />
                        </div>
                        <div class="form-check">
                            <input id="school6" class="form-check-input elemento" type="radio" name="school" value="6"/> 
                            <label class="form-check-label label" for="school6">Postgraduate or professional degree, including master’s, doctorate, medical or law degree</label><br />
                        </div>
                    </div>
                </div>
            </div>
            <br />
            <br />
        </div><!--tag chiusura #questionario-->
        <!--FINE QUESTIONARIO-->

        <div id="task_page">
            <div>
                <h4 id="page_title">NOT_DEFINED</h4>
            </div>
            <img id = "taskImg" src="https://kevinr.s3.us-east-2.amazonaws.com/landscapes/2.jpg" class="rounded mx-auto d-block">
            <div id = "#imgClassificationBox" style = "">
                <!--#Risposte possibili#-->
                <div class="form-group">
                    <div class="form-check">
                        <input id="imgAnswer1" class="form-check-input elemento" type="radio" name="imgAnswer" value = "1"/> 
                        <label id = "radio_answer1" class="form-check-label label" for="imgAnswer1">Mare - def  </label><br />
                    </div>
                    <div class="form-check">
                        <input id="imgAnswer2" class="form-check-input elemento" type="radio" name="imgAnswer" value = "2"/> 
                        <label id = "radio_answer2" class="form-check-label label" for="imgAnswer2">Pianura  </label><br />
                    </div>
                    <div class="form-check">
                        <input id="imgAnswer3" class="form-check-input elemento" type="radio" name="imgAnswer" value = "3"/> 
                        <label id = "radio_answer3" class="form-check-label label" for="imgAnswer3">Montagna  </label><br />
                    </div>
                    <div class="form-check">
                        <input id="imgAnswer4" class="form-check-input elemento" type="radio" name="imgAnswer" value = "4"/> 
                        <label id = "radio_answer4" class="form-check-label label" for="imgAnswer4">Città - def  </label><br />
                    </div>
                </div>
            </div>
        </div>

        <!--NAVIGAZIONE-->
        <div id="btnBox">
            <div id="btnBack" class="btn btn-dark">Back</div>
            <div id="btnNext" class="btn btn-dark">Next</div>
            <br /><br /><hr>
        </div>

                <!-- Error | Retry -->
        <div id="errorBox" style="text-align:center;">
            <h1>Sorry,</h1>
            <h2>Your work was not accurate enough.</h2>
            <h2>You are not allowed to continue this task.</h2>
        </div>
        <div id="retryBox" style="text-align:center;">
            <h1>Sorry,</h1>
            <h2>Your work was not accurate enough.</h2>
            <h2>You are allowed to retry this task.</h2>
            <div id="btnRetry" class="btn btn-warning">Retry</div>
        </div>
        
        <div id="endBox" style="text-align:center;">
            <h1>:-)</h1>
            <h2>Congratulations. You reached the end. Click Submit to finish the task.</h2>
            <!-- Final Submit -->
            <button id="submitButton" class="btn btn-success" type="submit" value="submit" onsubmit="return checkform(this);">
                Submit
            </button>
        </div>
    </div><!--container-->

</crowd-form>

<script src="script.js"></script>